# do not build debug packages for now
%global debug_package %{nil}

%global version 2.1.0
%global revision 31.b89a6f1.2.1

Name:		mcg
Version:	%{version}
Release:	%{revision}%{?dist}
Summary:	"Multi cloud gateway CLI"

License:	ASL 2.0
URL:		https://www.noobaa.com/
Source0:	noobaa-operator-31.b89a6f1.2.1.tar.gz
Patch0:		set_downstream_images.patch
Patch1:		hide_install_uninstall_from_cli.patch

BuildRequires:	rsync
BuildRequires:	go-compilers-golang-compiler

%description
"Multi cloud gateway CLI"

%prep
%setup -c
%patch0 -p1
%patch1 -p1

%build
go version
CGO_ENABLED=0 GO111MODULE=on go build -ldflags="-s -w" -mod=vendor
strip -s noobaa-operator

%install
# Use install that provides option for file permission
install -D -p -m 755 noobaa-operator %{buildroot}%{_bindir}/noobaa
install -D -p -m 644 doc/noobaa.1 %{buildroot}%{_mandir}/man1/noobaa.1

%files
%{_bindir}/noobaa

%doc doc/*
%{_mandir}/man1/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Apr 06 2020 Ceph Jenkins <ceph-jenkins@redhat.com> - 2.1.0-31.b89a6f1.2.1
- Rebase to mcg-operator-2.1.0-31.b89a6f1.2.1

* Tue Mar 31 2020 Ceph Jenkins <ceph-jenkins@redhat.com> - 2.1.0-29.b89a6f1.2.1
- Rebase to mcg-operator-2.1.0-29.b89a6f1.2.1

* Tue Mar 31 2020 Ceph Jenkins <ceph-jenkins@redhat.com> - 2.1.0-28.2783fb0.2.1
- Rebase to mcg-operator-2.1.0-28.2783fb0.2.1

* Wed Feb 19 2020 Liran Mauda <lmauda@redhat.com> - 2.1.0-1.6eafd8c.2.1
- Initial build for 2.1.0

* Fri Dec 13 2019 Ceph Jenkins <ceph-jenkins@redhat.com> - 2.0.9-43.db6a79b.2.0
- Rebase to mcg-operator-2.0.9-43.db6a79b.2.0

* Sun Oct 27 2019 Liran Mauda <lmauda@redhat.com> - 2.0.4-7
- building for x86_64 and ppc64le

* Sun Aug 25 2019 Liran Mauda <lmauda@redhat.com>
- Multi cloud gateway CLI
